Bug 1674700 - blender: FTBFS in Fedora rawhide/f30
Summary: blender: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:53 UTC by Fedora Release Engineering
Modified: 2019-04-13 00:03 UTC (History)
8 users (show)

Fixed In Version: blender-2.79b-15.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:03:46 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:53 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:53 UTC, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2019-02-11 16:53 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:53:49 UTC
blender failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32368911


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix blender at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
blender will be orphaned. Before branching of Fedora 31,
blender will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:53:52 UTC
Created attachment 1529402 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:53:53 UTC
Created attachment 1529403 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:53:55 UTC
Created attachment 1529404 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:33:43 UTC
The build fails with an OpenMP error:

BUILDSTDERR: In file included from /builddir/build/BUILD/blender-2.79b/intern/elbeem/intern/solver_class.h:19,
BUILDSTDERR:                  from /builddir/build/BUILD/blender-2.79b/intern/elbeem/intern/solver_main.cpp:13:
BUILDSTDERR: /builddir/build/BUILD/blender-2.79b/intern/elbeem/intern/solver_main.cpp: In member function 'void LbmFsgrSolver::mainLoop(int)':
BUILDSTDERR: /builddir/build/BUILD/blender-2.79b/intern/elbeem/intern/utilities.h:84:67: error: 'gDebugLevel' not specified in enclosing 'parallel'
BUILDSTDERR:    84 | #define errMsg(from,mStr)                           if(gDebugLevel>0){ MSGSTREAM; msg << mStr <<"\n"; messageOutputFunc(from, DM_ERROR,   msg.str(), 0); }
BUILDSTDERR:       |                                                        ~~~~~~~~~~~^~
BUILDSTDERR: /builddir/build/BUILD/blender-2.79b/intern/elbeem/intern/loop_tools.h:128:2: note: in expansion of macro 'errMsg'
BUILDSTDERR:   128 |  errMsg("LbmFsgrSolver","Invalid domain size Nj="<<Nj<<" Nthrds="<<Nthrds); \
BUILDSTDERR:       |  ^~~~~~


See https://gcc.gnu.org/gcc-9/porting_to.html#ompdatasharing

Comment 5 Miro Hrončok 2019-03-16 12:57:50 UTC
I cannot install blender.

nothing provides libboost_locale.so.1.66.0 needed by blender-1:2.79b-10.fc30

Comment 6 Luya Tshimbalanga 2019-03-16 21:16:19 UTC
Blender failed to build due gcc 9.0 as highlighted by comment #5

https://koji.fedoraproject.org/koji/taskinfo?taskID=33496597

Patch welcome.

Comment 7 Fedora Update System 2019-04-03 14:00:03 UTC
blender-2.79b-14.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c2b4424639

Comment 8 Fedora Update System 2019-04-04 01:59:39 UTC
blender-2.79b-14.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c2b4424639

Comment 9 Fedora Update System 2019-04-05 04:53:04 UTC
blender-2.79b-15.fc30 oidn-0.8.2-4.fc30 luxcorerender-2.2-0.2.alpha1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a71663eb7

Comment 10 Fedora Update System 2019-04-06 18:38:05 UTC
blender-2.79b-15.fc30, luxcorerender-2.2-0.2.alpha1.fc30, oidn-0.8.2-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5a71663eb7

Comment 11 Fedora Update System 2019-04-13 00:03:46 UTC
blender-2.79b-15.fc30, luxcorerender-2.2-0.2.alpha1.fc30, oidn-0.8.2-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.